package com.dcit.authority.service;

import java.util.List;

import com.dcit.authority.model.Province;
import com.dcit.authority.model.ProvinceExample;


public interface ProvinceService {
	
	int countByExample(ProvinceExample example);

    int deleteByExample(ProvinceExample example);

    int deleteByPrimaryKey(String id);

    int insert(Province record);

    int insertSelective(Province record);

    List<Province> selectByExample(ProvinceExample example);

    Province selectByPrimaryKey(String id);

    int updateByExampleSelective(Province record, ProvinceExample example);

    int updateByExample(Province record, ProvinceExample example);

    int updateByPrimaryKeySelective(Province record);

    int updateByPrimaryKey(Province record);

}
